Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class AggregationArgument

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.AggregationArgument

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class AggregationArgument

extends org.eclipse.birt.report.model.core.Structure

AggregationArgument.

Field Summary
`static java.lang.String` | `NAME_MEMBER` Name of the argument name member.
`static java.lang.String` | `STRUCTURE_NAME` Name of this structure.
`static java.lang.String` | `VALUE_MEMBER` Name of the value member.

Constructor Summary
`AggregationArgument()`

Method Summary
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)`
`java.lang.String` | `getName()` Returns the argument name.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`java.lang.String` | `getValue()` Returns the argument value.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)`
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)`
`void` | `setName(java.lang.String argumentName)` Sets the argument name.
`void` | `setValue(java.lang.String argumentValue)` Sets the argument value.
`java.util.List` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRUCTURE_NAME

    public static final java.lang.String STRUCTURE_NAME

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### NAME_MEMBER

    public static final java.lang.String NAME_MEMBER

  Name of the argument name member.

  See Also:
    Constant Field Values

### VALUE_MEMBER

    public static final java.lang.String VALUE_MEMBER

  Name of the value member.

  See Also:
    Constant Field Values

Constructor Detail

### AggregationArgument

    public AggregationArgument()

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### getName

    public java.lang.String getName()

  Returns the argument name.

  Returns:
    the argument name.

### setName

    public void setName(java.lang.String argumentName)

  Sets the argument name.

  Parameters:
    `argumentName` - the argument name to set

### getValue

    public java.lang.String getValue()

  Returns the argument value.

  Returns:
    the argument value.

### setValue

    public void setValue(java.lang.String argumentValue)

  Sets the argument value.

  Parameters:
    `argumentValue` - the argument value to set

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`

### validate

    public java.util.List validate(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element)

  Overrides:
    `validate` in class `org.eclipse.birt.report.model.core.Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.